%global ruby_sitelib %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")
%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname rubigen
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary:        A framework to allow Ruby applications to generate file/folder stubs
Name:           rubygem-%{gemname}
Version:        1.5.2
Release:        5%{?dist}
Group:          Development/Languages
License:        MIT and LGPLv2+
URL:            http://drnic.github.com/rubigen
Source0:        http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       ruby(abi) = 1.8
Requires:       rubygems
Requires:       rubygem(activesupport) >= 2.2.2
BuildRequires:  rubygems
BuildArch:      noarch
Provides:       rubygem(%{gemname}) = %{version}

%description
A framework to allow Ruby applications to generate file/folder stubs  (like
the "rails" command does for Ruby on Rails, and the 'script/generate' command
within a Rails application during development).


%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{gemdir}
gem install --local --install-dir $RPM_BUILD_ROOT%{gemdir} \
        --force --rdoc %{SOURCE0}
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mv $RPM_BUILD_ROOT%{gemdir}/bin/* $RPM_BUILD_ROOT/%{_bindir}
rmdir $RPM_BUILD_ROOT%{gemdir}/bin
find $RPM_BUILD_ROOT%{geminstdir}/bin -type f |xargs chmod a+x

# Kill crlf
sed -s 's/\r//g' -i \
        $RPM_BUILD_ROOT%{geminstdir}/website/version-raw.txt \
        $RPM_BUILD_ROOT%{geminstdir}/website/version.txt


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/install_rubigen_scripts
%{_bindir}/rubigen
%{_bindir}/ruby_app
%dir %{geminstdir}
%{geminstdir}/*_generators
%{geminstdir}/lib
%{geminstdir}/script
%{geminstdir}/bin
%{geminstdir}/features
%{geminstdir}/generators
%{geminstdir}/website
%{geminstdir}/Rakefile
%doc %{geminstdir}/test
%doc %{geminstdir}/.autotest
%doc %{gemdir}/doc/%{gemname}-%{version}
%doc %{geminstdir}/History.txt
%doc %{geminstdir}/License.txt
%doc %{geminstdir}/Manifest.txt
%doc %{geminstdir}/README.rdoc
%doc %{geminstdir}/Todo.txt
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 08 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 1.5.2-4
- Remove hoe dependency
- Fix up license tag

* Fri Jun 26 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 1.5.2-3
- Get rid of duplicate files (thanks to Mamoru Tasaka)

* Mon Jun 08 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 1.5.2-2
- Depend on ruby(abi)
- Replace defines with globals

* Fri Jun 05 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 1.5.2-1
- Package generated by gem2rpm
- Fix end of line encodings
- Fix up License
